libzypp 17.37.10

ZYppImpl.h File Reference
`#include <iosfwd>`
`#include <zypp/TmpPath.h>`
`#include <zypp/Target.h>`
`#include <zypp/Resolver.h>`
`#include <zypp/KeyRing.h>`
`#include <zypp/ZYppCommit.h>`
`#include <zypp/ResTraits.h>`
`#include <zypp/DiskUsageCounter.h>`
`#include <zypp/ManagedFile.h>`

Go to the source code of this file.

## Classes
class | zypp::zypp_detail::ZYppImpl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::zypp_detail

## Typedefs
using | GPollFD = struct _GPollFD

## Functions
int | zypp::zypp_detail::zypp_poll (std::vector< GPollFD > &fds, int timeout=-1)
| Small wrapper around g_poll that additionally listens to the shutdown FD returned by ZYpp::shutdownSignalFd.

## Typedef Documentation

## ◆ GPollFD

using GPollFD = struct _GPollFD

Definition at line 26 of file ZYppImpl.h.